@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.wrapper {
  position: relative;
  font-size: var(--font-size-s);

  &.overflowLeft:before,
  &.overflowRight:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    width: 10px;
  }

  &.overflowLeft:before {
    left: 0;
    background: linear-gradient(to right, rgba(black, 0.15), transparent);
  }

  &.overflowRight:after {
    right: 0;
    background: linear-gradient(to left, rgba(black, 0.15), transparent);
  }
}

.innerWrapper {
  max-width: 100%;
  @extend %smootScroll;

  &::-webkit-scrollbar {
    display: none;
  }

  @include smaller-than-m {
    overflow: scroll;
    -ms-overflow-style: none; /* for Internet Explorer, Edge */
    scrollbar-width: none; /* for Firefox */
  }
}

.table {
  border-collapse: collapse;
  width: 100%;
  border-bottom: 1px solid var(--color-background-weakest);
  border-left: 1px solid var(--color-background-weakest);
  border-right: 1px solid var(--color-background-weakest);
  margin: 0;
}

.head {
  .cell {
    vertical-align: top;
  }
  .mainValue {
    color: var(--color-brand-base);
  }
  .secondaryValue {
    color: var(--color-text-weaker);
  }
}


.row {
  border-top: 1px solid var(--color-background-weakest);
  

  &.secondary {
    border-top: none;
  }
}

.cell {
  text-align: right;
  padding: var(--space-xxs);
  line-height: 1.2em;
  max-width: 19em;
  min-width: 7em;
  overflow: hidden;
  text-overflow: ellipsis;
  border-left: 1px solid var(--color-background-weakest);
  border-right: 1px solid var(--color-background-weakest);

  &:first-child {
    text-align: left;

    .secondaryValue {
      color: var(--color-text-weaker);
    }
  }
}

.mainValue {
  font-weight: 500;
  line-height: 1.4em; // Needed to prevent subscript 2 from being cut off
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.secondaryValue {
  font-weight: 400;
}

.scrollCta {
  position: absolute;
  right: var(--space-s);
  top: var(--space-s);
}
